function CreateHero()
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = "Leonard_LethalAttack"
	hero.extra_traits = {UnitTrait.LethalAttack}
	hero.unit_classes = {UnitClass.StrategicBomber}
	local action = world:MakeNewHeroAction(0, hero)
	world:Exec(action)
end


function B1()
	return world.round == 7
end

-- alle AI Einheiten erhalten einen neuen Befehl
function SetOrder(order)
	for id,u in pairs(world.units) do
		if (u.owner_id == 0) then			
			local orders = u.orders

			orders = {NewOrder(order)}
			u.orders = orders
		end
	end
end

-- AI Befehl fr die nchste Runde
function F1()
	SetOrder("AIOrderAttacker")
end

