function CreateHero()
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = "Gary_IncMaxOverstrength"
	hero.extra_traits = {UnitTrait.IncMaxOverstrength}
	hero.unit_classes = {UnitClass.Artillery}
	local action = world:MakeNewHeroAction(0, hero)
	world:Exec(action)
end


-- Nachschub-KI Einheiten erhalten einen Angriffs-Befehl
-- Count=1, Condition=RundeX, Action=EndTurnAction, Function=AngriffX
zone1 = { {21,5},{20,6},{21,9},{18,9},{18,8},{10,7},{9,8},{5,7},{6,9},{4,8},{3,9},{3,12},{20,12} }

function Runde1()
	return world.round == 5
end

function SetOrder1(order)
	for id,u in pairs(world.units) do
		if (u.owner_id == 1 and IsItemInTable(zone1, u.position)) then			
			local orders = u.orders

			orders = {NewOrder(order)}
			u.orders = orders
		end
	end
end

-- KI Befehl fr die nchste Runde
function Angriff1()
	MessageBox("Warnung", "Weitere Feinde greifen an.")
	SetOrder1("AIOrderAttacker")
end


zone2 = { {21,6},{22,4},{19,2},{18,3},{18,4},{19,6},{17,6},{15,7},{13,6},{12,5},{12,4},{11,5},{11,4},{9,4} }

function Runde2()
	return world.round == 9
end

function SetOrder2(order)
	for id,u in pairs(world.units) do
		if (u.owner_id == 1 and IsItemInTable(zone2, u.position)) then			
			local orders = u.orders

			orders = {NewOrder(order)}
			u.orders = orders
		end
	end
end

-- KI Befehl fr die nchste Runde
function Angriff2()
	MessageBox("Warnung", "Weitere Feinde greifen an.")
	SetOrder2("AIOrderAttacker")
end

-- die 2 hierfr ntigen Hilfsfunktionen
function FindItemInTable(table, item)
	for index,i in ipairs(table) do
		if i == item then
			return index 
		end
	end
	return -1
end

function IsItemInTable(table, item)
	return FindItemInTable(table, item) ~= -1
end
