function CreateHero()
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = "Reginald_Evasive"
	hero.extra_traits = {UnitTrait.Evasive}
	hero.unit_classes = {UnitClass.Recon}
	local action = world:MakeNewHeroAction(1, hero)
	world:Exec(action)
end


-- Nachschub-KI Einheiten erhalten einen Angriffs-Befehl
-- Count=1, Condition=RundeX, Action=EndTurnAction, Function=AngriffX
zone1 = { {22,38},{6,33},{6,31},{2,17} }

function Runde1()
	return world.round == 5
end

function SetOrder1(order)
	for id,u in pairs(world.units) do
		if (u.owner_id == 0 and IsItemInTable(zone1, u.position)) then			
			local orders = u.orders

			orders = {NewOrder(order)}
			u.orders = orders
		end
	end
end

-- KI Befehl fr die nchste Runde
function Angriff1()
	MessageBox("Warnung", "Feindliche Flugzeuge wurden gesichtet.")
	SetOrder1("AIOrderAttacker")
end

-- die 2 hierfr ntigen Hilfsfunktionen
function FindItemInTable(table, item)
	for index,i in ipairs(table) do
		if i == item then
			return index 
		end
	end
	return -1
end

function IsItemInTable(table, item)
	return FindItemInTable(table, item) ~= -1
end
