function CreateHero()
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = "John_StrikesFirst"
	hero.extra_traits = {UnitTrait.StrikesFirst}
	local action = world:MakeNewHeroAction(0, hero)
	world:Exec(action)
end


zone1 = { {25,35},{1,20},{1,21},{19,13},{16,11},{17,11},{15,10},{14,10},{13,11},{12,11},{12,12},{13,12},{13,13},{14,14},{12,14},{8,10},{6,19},{5,10},{3,11},{18,16},{20,17},{20,18},{21,18},{24,19},{25,19},{25,20},{26,20},{25,22},{26,22},{24,23},{23,26},{23,27},{24,29},{24,30},{25,30},{27,30},{28,30},{27,31} }

function Runde1()
	return world.round == 5
end

function SetOrder1(order)
	for id,u in pairs(world.units) do
		if (u.owner_id == 1 and IsItemInTable(zone1, u.position)) then			
			local orders = u.orders

			orders = {NewOrder(order)}
			u.orders = orders
		end
	end
end

function Angriff1()
	SetOrder1("AIOrderAttacker")
	MessageBox("Warnung", "Weitere Feinde greifen an.")
end


function Runde2()
	return world.round == 9
end

function SetOrder2(order)
	for id,u in pairs(world.units) do
		if (u.owner_id == 1) then			
			local orders = u.orders

			orders = {NewOrder(order)}
			u.orders = orders
		end
	end
end

function Angriff2()
	SetOrder2("AIOrderAttacker")
end

-- die 2 hierfr ntigen Hilfsfunktionen
function FindItemInTable(table, item)
	for index,i in ipairs(table) do
		if i == item then
			return index 
		end
	end
	return -1
end

function IsItemInTable(table, item)
	return FindItemInTable(table, item) ~= -1
end
