function CreateHero()
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = "Timothy_Exterminator"
	hero.extra_traits = {UnitTrait.Exterminator}
	local action = world:MakeNewHeroAction(0, hero)
	world:Exec(action)
end


Depot = {{19,23}}
captured_depot = {}

function OnCaptureDepot(action)
	if IsItemInTable(captured_depot, action.flag) then return end
	if (action.new_owner == 0 and IsItemInTable(Depot, action.flag)) then
		AddEquipment(0, "PantherG", 19, captured)
		AddEquipment(0, "Jagdtiger", 19, captured)
		AddEquipment(0, "Hummel", 19, captured)

		TutorialMessage("Wir haben ein deutsches Depot erobert.")					
		table.insert(captured_depot, action.flag)
	else
		return
	end
end

-- die 3 hierfr ntigen Hilfsfunktionen
function FindItemInTable(table, item)
	for index,i in ipairs(table) do
		if i == item then
			return index 
		end
	end
	return -1
end

function IsItemInTable(table, item)
	return FindItemInTable(table, item) ~= -1
end

function AddEquipment(player_id, unit_type, quantity, category)
	local player = world:GetPlayer(player_id)
	local equipment = player.equipment
	local type = GetUnitType(unit_type)
	local eq = equipment[type]
	if (eq == nil) then
		eq = NewEquipment()
		eq.category = category
		equipment[type] = eq
	end
	eq.quantity = eq.quantity + quantity
	player.equipment = equipment
end
