function CreateHero()
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = "Anthony_Overrun"
	hero.extra_traits = {UnitTrait.Overrun}
	hero.attack_modifiers = {{type = TargetType.Hard, mod = 1}}
	hero.unit_classes = {UnitClass.AntiTank}
	local action = world:MakeNewHeroAction(1, hero)
	world:Exec(action)
end


zone1 = { {15,19},{16,20},{17,20},{17,19},{6,30},{15,30},{14,30},{4,9},{15,8},{14,9},{15,9},{14,10},{15,10},{17,11},{16,11},{15,11},{14,11},{13,11},{5,13},{5,14},{2,16},{1,16},{4,16},{4,17},{1,18},{3,27},{5,29} }

function Runde1()
	return world.round == 3
end

function SetOrder1(order)
	for id,u in pairs(world.units) do
		if (u.owner_id == 0 and IsItemInTable(zone1, u.position)) then			
			local orders = u.orders

			orders = {NewOrder(order)}
			u.orders = orders
		end
	end
end

function Angriff1()
	SetOrder1("AIOrderAttacker")
	MessageBox("Warnung", "Weitere Feinde greifen an.")
end


zone2 = { {12,27},{13,28},{14,28},{14,27},{13,30},{12,30},{11,30},{8,27},{10,27},{11,29},{5,25},{4,23},{4,22},{8,22},{8,23},{6,16},{7,16},{6,15},{7,15},{7,14},{8,14},{10,14},{11,14},{11,13},{14,12},{15,12},{16,12},{17,12},{16,13} }

function Runde2()
	return world.round == 6
end

function SetOrder2(order)
	for id,u in pairs(world.units) do
		if (u.owner_id == 0 and IsItemInTable(zone2, u.position)) then			
			local orders = u.orders

			orders = {NewOrder(order)}
			u.orders = orders
		end
	end
end

function Angriff2()
	SetOrder2("AIOrderAttacker")
	MessageBox("Warnung", "Weitere Feinde greifen an.")
end


function Runde3()
	return world.round == 9
end

function SetOrder3(order)
	for id,u in pairs(world.units) do
		if (u.owner_id == 0) then			
			local orders = u.orders

			orders = {NewOrder(order)}
			u.orders = orders
		end
	end
end

function Angriff3()
	SetOrder3("AIOrderAttacker")
	MessageBox("Warnung", "Der Feind startet einen Grossangriff.")
end


-- die 2 hierfr ntigen Hilfsfunktionen
function FindItemInTable(table, item)
	for index,i in ipairs(table) do
		if i == item then
			return index 
		end
	end
	return -1
end

function IsItemInTable(table, item)
	return FindItemInTable(table, item) ~= -1
end
