function CreateHero()
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = "Peter_DoubleAttack"
	hero.extra_traits = {UnitTrait.DoubleAttack}
	hero.unit_classes = {UnitClass.Tank}
	local action = world:MakeNewHeroAction(1, hero)
	world:Exec(action)
end


function B1()
	return world.round == 8	-- wird in Runde 7 ausgefhrt
end

-- alle AI Einheiten erhalten einen neuen Befehl
function SetOrder(order)
	for id,u in pairs(world.units) do
		if (u.owner_id == 0) then			
			local orders = u.orders

			orders = {NewOrder(order)}
			u.orders = orders
		end
	end
end

-- AI Befehl fr die nchste Runde
function F1()
	MessageBox("Warnung", "Weitere Italiener greifen an.")
	SetOrder("AIOrderAttacker")
end
