function CreateHero()
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = "Leslie_EntKiller4"
	hero.extra_traits = {UnitTrait.EntKiller4}
	hero.unit_classes = {UnitClass.StrategicBomber}
	local action = world:MakeNewHeroAction(0, hero)
	world:Exec(action)
end


-- Nachschub-KI Einheiten erhalten einen Angriffs-Befehl
-- Count=1, Condition=RundeX, Action=EndTurnAction, Function=AngriffX
zone1 = { {14,32},{15,32},{13,33},{13,33},{13,34},{14,34},{15,34},{12,35},{13,35},{14,35},{17,26},{18,26},{19,26},{16,27},{17,27},{18,27},{16,28},{17,28},{18,28},{19,28},{16,29},{17,29},{18,29},{12,23},{13,23},{14,23},{13,24},{11,22},{12,22},{13,22},{14,22},{15,22},{16,22},{11,21},{14,21},{15,21},{12,20},{13,20},{14,20},{15,20},{13,19},{14,19},{15,19} }

function Runde1()
	return world.round == 6
end

function SetOrder1(order)
	for id,u in pairs(world.units) do
		if (u.owner_id == 1 and IsItemInTable(zone1, u.position)) then			
			local orders = u.orders

			orders = {NewOrder(order)}
			u.orders = orders
		end
	end
end

-- KI Befehl fr die nchste Runde
function Angriff1()
	MessageBox("Warnung", "Weitere Feinde greifen an.")
	SetOrder1("AIOrderAttacker")
end

-- die 2 hierfr ntigen Hilfsfunktionen
function FindItemInTable(table, item)
	for index,i in ipairs(table) do
		if i == item then
			return index 
		end
	end
	return -1
end

function IsItemInTable(table, item)
	return FindItemInTable(table, item) ~= -1
end
