function CreateHero()
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = "Richard_FearsomeReputation"
	hero.extra_traits = {UnitTrait.FearsomeReputation}
	local action = world:MakeNewHeroAction(0, hero)
	world:Exec(action)
end


function Runde1()
	return world.round == 6
end

function SetOrder1(order)
	for id,u in pairs(world.units) do
		if (u.owner_id == 1) then			
			local orders = u.orders

			orders = {NewOrder(order)}
			u.orders = orders
		end
	end
end

function Angriff1()
	SetOrder1("AIOrderAttacker")
end

-- die 2 hierfr ntigen Hilfsfunktionen
function FindItemInTable(table, item)
	for index,i in ipairs(table) do
		if i == item then
			return index 
		end
	end
	return -1
end

function IsItemInTable(table, item)
	return FindItemInTable(table, item) ~= -1
end
