function CreateHero()
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = "Edward_IgnoresEntrenchment"
	hero.extra_traits = {UnitTrait.IgnoresEntrenchment}
	local action = world:MakeNewHeroAction(0, hero)
	world:Exec(action)
end


zone1 = { {35,23},{36,10},{32,12},{30,12},{30,9},{6,2},{5,5},{6,5},{5,8},{6,10},{9,7},{16,15},{14,3},{15,3},{16,3},{14,2},{15,2},{16,2},{17,2},{18,2},{19,2},{21,11},{22,19},{23,21},{23,22},{24,22},{24,23},{26,24},{24,1} }

function Runde1()
	return world.round == 4
end

function SetOrder1(order)
	for id,u in pairs(world.units) do
		if (u.owner_id == 1 and IsItemInTable(zone1, u.position)) then			
			local orders = u.orders

			orders = {NewOrder(order)}
			u.orders = orders
		end
	end
end

function Angriff1()
	SetOrder1("AIOrderAttacker")
	MessageBox("Warnung", "Weitere Feinde greifen an.")
end


function Runde2()
	return world.round == 8
end

function SetOrder2(order)
	for id,u in pairs(world.units) do
		if (u.owner_id == 1) then			
			local orders = u.orders

			orders = {NewOrder(order)}
			u.orders = orders
		end
	end
end

function Angriff2()
	SetOrder2("AIOrderAttacker")
	MessageBox("Warnung", "Der Feind startet einen Grossangriff.")
end

-- die 2 hierfr ntigen Hilfsfunktionen
function FindItemInTable(table, item)
	for index,i in ipairs(table) do
		if i == item then
			return index 
		end
	end
	return -1
end

function IsItemInTable(table, item)
	return FindItemInTable(table, item) ~= -1
end
