function CreateHero()
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = "Mark_Leadership"
	hero.extra_traits = {UnitTrait.Leadership}
	hero.modifiers = {{type = Initiative, mod = 1}}
	hero.unit_classes = {UnitClass.Tank}
	local action = world:MakeNewHeroAction(0, hero)
	world:Exec(action)
end


zone1 = { {14,13},{15,14},{13,13},{14,14},{21,29},{18,29},{16,28},{15,29},{14,29},{13,29},{12,29},{7,29},{6,29},{5,29},{6,26} }

function Runde1()
	return world.round == 7
end

function SetOrder1(order)
	for id,u in pairs(world.units) do
		if (u.owner_id == 1 and IsItemInTable(zone1, u.position)) then			
			local orders = u.orders

			orders = {NewOrder(order)}
			u.orders = orders
		end
	end
end

function Angriff1()
	SetOrder1("AIOrderAttacker")
	MessageBox("Warnung", "Weitere Feinde greifen an.")
end

-- die 2 hierfr ntigen Hilfsfunktionen
function FindItemInTable(table, item)
	for index,i in ipairs(table) do
		if i == item then
			return index 
		end
	end
	return -1
end

function IsItemInTable(table, item)
	return FindItemInTable(table, item) ~= -1
end
